//bright white light

textures/ut4_deathrun_shadow/halide_5000_solid
{
	qer_editorimage textures/ut4_deathrun_shadow/halide.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	cull none
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_deathrun_shadow/halide.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_deathrun_shadow/halide.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/ut4_deathrun_shadow/halide_5000
{
	qer_editorimage textures/ut4_deathrun_shadow/halide.tga
	q3map_surfacelight 5000
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_deathrun_shadow/halide.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_deathrun_shadow/halide.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/ut4_deathrun_shadow/halide_1000
{
	qer_editorimage textures/ut4_deathrun_shadow/halide.tga
	q3map_surfacelight 1000
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_deathrun_shadow/halide.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_deathrun_shadow/halide.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/ut4_deathrun_shadow/halide_2000
{
	qer_editorimage textures/ut4_deathrun_shadow/halide.tga
	q3map_surfacelight 2000
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_deathrun_shadow/halide.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_deathrun_shadow/halide.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/ut4_deathrun_shadow/halide_35000
{
	qer_editorimage textures/ut4_deathrun_shadow/halide.tga
	q3map_surfacelight 35000
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_deathrun_shadow/halide.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_deathrun_shadow/halide.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/ut4_deathrun_shadow/halide_1
{
	qer_editorimage textures/ut4_deathrun_shadow/halide.tga
	q3map_surfacelight 1
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
    {
        map $lightmap
        rgbGen identity
    }
    {
        map textures/ut4_deathrun_shadow/halide.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbGen identity
    }
    {
        map textures/ut4_deathrun_shadow/halide.tga
        blendFunc GL_ONE GL_ONE
    }
}

textures/ut4_deathrun_shadow/shield
{	
	qer_editorimage textures/ut4_deathrun_shadow/tesla1.tga
	qer_trans .4
	surfaceparm trans
	surfaceparm nolightmap
	q3map_surfacelight 700
	{
		map textures/ut4_deathrun_shadow/tesla1.tga
		blendfunc add
		rgbgen wave sawtooth 0 1 0 5
		tcmod scale 1 .6
		tcmod turb 0 .1 0 1
		tcMod scroll -1 -1
	}
 
	{
		map textures/ut4_deathrun_shadow/electricslime.tga
		blendfunc add
		rgbgen wave sin 0 .3 5 1
		tcmod scale .3 .3
		tcmod turb 0 .0 4 1
		tcmod rotate 180
		tcmod scroll -1 -1
	}

	{
		map textures/ut4_deathrun_shadow/tinfx2d.tga
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}


textures/ut4_deathrun_shadow/specialglass
{	
	qer_editorimage textures/ut4_deathrun_shadow/deep-space.jpg
	qer_trans 0.5
//	surfaceparm glass
	surfaceparm trans
	{
		map textures/ut4_deathrun_shadow/deep-space1.jpg
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_deathrun_shadow/darkglass
{
	qer_editorimage textures/effects/tinfx3.tga
	qer_trans 0.5
	surfaceparm trans
	surfaceparm nolightmap

	{
		map textures/effects/tinfx3.tga
		tcgen environment
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ut4_deathrun_shadow/beam_dusty
{
	qer_editorimage textures/ut4_deathrun_shadow/beam_dusty.jpg
        surfaceparm trans	
        surfaceparm nomarks	
        surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .6
	cull none
	
	{
		map textures/ut4_deathrun_shadow/beam_dusty.jpg
                tcMod Scroll .1 0
                blendFunc add
        }
     
}

//lightlava
textures/ut4_deathrun_shadow/bloodlava
	{
		qer_editorimage textures/ut4_deathrun_shadow/lava02.tga
		qer_trans .3
		q3map_globaltexture
		q3map_surfacelight 200
		surfaceparm trans
		surfaceparm noimpact
		surfaceparm lava
	
		tesssize 128
		cull disable	
		
		{ 
			map textures/ut4_deathrun_shadow/lava02.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/ut4_deathrun_shadow/lava02.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/ut4_deathrun_shadow/lava04.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}

//nolightlava
textures/ut4_deathrun_shadow/bloodlava-50
	{
		qer_editorimage textures/ut4_deathrun_shadow/lava02.tga
		qer_trans .3
		q3map_surfacelight 50
		q3map_globaltexture
		surfaceparm trans
		surfaceparm noimpact
		surfaceparm lava
	
		tesssize 128
		cull disable	
		
		{ 
			map textures/ut4_deathrun_shadow/lava02.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/ut4_deathrun_shadow/lava02.tga
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/ut4_deathrun_shadow/lava04.jpg
			blendFunc GL_dst_color GL_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}
	
		{
			map $lightmap
			blendFunc GL_dst_color GL_zero
			rgbgen identity		
		}
	

}		

textures/ut4_deathrun_shadow/pattern
{
	qer_editorimage textures/ut4_deathrun_shadow/pattern.jpg
	q3map_surfacelight 100
	{
		map textures/ut4_deathrun_shadow/pattern.jpg
		rgbGen identity
	}
}

textures/ut4_deathrun_shadow/arcn
{
	qer_editorimage env/arcn_lf.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun .3 .3 .5 110 180 25
	q3map_surfacelight 55
	q3map_globaltexture
	q3map_lightsubdivide 512
	skyparms env/arcn 256 -
}

textures/ut4_deathrun_shadow/black
{
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nonsolid
	{
		map textures/ut4_deathrun_shadow/black.jpg
	}
}

textures/ut4_deathrun_shadow/black_solid
{
	qer_editorimage textures/ut4_deathrun_shadow/black.jpg
	surfaceparm nolightmap
	{
		map textures/ut4_deathrun_shadow/black.jpg
	}
}	

textures/ut4_deathrun_shadow/Shadow_clock
{
	qer_editorimage textures/ut4_deathrun_shadow/shadow_clock.jpg
	polygonOffset
	nomipmaps
	nopicmip
	{
		map textures/ut4_deathrun_shadow/shadow_clock.jpg 
      		blendFunc GL_ONE GL_ONE
      		rgbGen vertex 
      		alphaGen vertex 
		depthWrite
	}
}	

textures/ut4_deathrun_shadow/deathrun_tile
{
	qer_editorimage textures/ut4_deathrun_shadow/deathrun_tile.jpg
	surfaceparm nodamage
	{
		map textures/null_beach/tinfxb.tga
		rgbgen identity
		tcgen environment
                depthfunc equal
	}
	{
		map textures/ut4_deathrun_shadow/deathrun_tile.jpg
		rgbgen identity
	}
	{
		map $lightmap	
		blendfunc filter
		rgbgen identity
	}
}

textures/ut4_deathrun_shadow/slippery_floor
{ 
	polygonOffset
	nomipmaps
	nopicmip

	{
         map textures/ut4_deathrun_shadow/slippery_floor.jpg
	}
	{
		map $lightmap	
		blendfunc filter
		rgbgen identity
	}
}

textures/ut4_deathrun_shadow/deathrun_shadow
{ 
	qer_trans 0.5
	polygonOffset
	nomipmaps
	nopicmip

	{
        	map textures/ut4_deathrun_shadow/deathrun_shadow.tga
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA 
		blendfunc GL_ONE GL_ZERO
		alphafunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap 
		rgbgen identity
		blendfunc GL_DST_COLOR GL_ZERO
//		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthFunc equal
	}
}
textures/ut4_deathrun_shadow/camera
{
	qer_editorimage textures/ut4_deathrun_shadow/camera.tga
	surfaceparm playerclip
	surfaceparm nolightmap
	portal
	{
		map textures/ut4_deathrun_shadow/camera.tga
 		blendFunc GL_ONE GL_ONE_MINUS_SRC_ALPHA
		depthWrite
		alphaGen portal 2048
    }
}

textures/ut4_deathrun_shadow/blocks
{
	qer_editorimage textures/ut4_deathrun_shadow/grey_blocks.jpg
	surfaceparm nonsolid
	{
		map textures/ut4_deathrun_shadow/grey_blocks.jpg
	}
	{
		map $lightmap	
		blendfunc filter
		rgbgen identity
	}
}

textures/ut4_deathrun_shadow/metalcushion
{   
	qer_editorimage textures/ut4_deathrun_shadow/metal01.jpg
	surfaceparm nodamage
 
        {
                map textures/ut4_deathrun_shadow/metal01.jpg       
	}
}

textures/ut4_deathrun_shadow/white-tile
{   
	qer_editorimage textures/ut4_deathrun_shadow/white-tile.jpg
	surfaceparm nodamage
 
        {
                map textures/ut4_deathrun_shadow/white-tile.jpg       
	}
	{
		map $lightmap	
		blendfunc filter
		rgbgen identity
	}
}

textures/ut4_deathrun_shadow/ceramiccushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/ut4_deathrun_shadow/vatten01
{
    qer_editorimage textures/ut4_deathrun_shadow/vattenyta02.tga
    qer_trans 0.4
    q3map_globaltexture
    q3map_tessSize 128
    surfaceparm nonsolid
    surfaceparm trans
    surfaceparm water
    cull disable
    deformVertexes wave 128 sin .25 .25 0 .5	
    { 
        map textures/ut4_deathrun_shadow/vattenyta01.tga
        blendFunc GL_DST_COLOR GL_ONE
        rgbgen identity
        tcmod scale .9 1.1
        tcmod scroll .03 .007
    }	
    { 
        map textures/ut4_deathrun_shadow/vattenyta02.tga
        blendFunc GL_DST_COLOR GL_ZERO
        rgbgen identity
        tcMod turb 0 0.02 0 0.125
        tcmod scroll .01 .015
    }
}